<?php

require_once '../incfiles/core.php';
require_once '../incfiles/func.php';
require_once '../incfiles/auth.php';
require_once '../incfiles/user.php';

if (empty($user_id)) go(URL);

if (!empty($_GET['id']) && is_numeric($_GET['id'])) // Діалог
{



	$id = abs(intval($_GET['id']));	
	if ($user_id == $id) go(URL.'/mail/');
	$result = mysql_query("SELECT * FROM `mail_dialog` WHERE `for_id` = '".$user_id."' AND `from_id` = '".$id."' AND `del` != '".$user_id."' LIMIT 1");
	if (mysql_num_rows($result) == true) $arr_dialog = mysql_fetch_array($result);
	else go(URL.'/mail/');

	$title = lang('Удаление диалога','Видалення діалогу');
	require_once '../incfiles/head.php';
		
?>
<script type="text/javascript">
$(function(){
	$('#form').on('submit', function(e){
	Page.Loading('start');
    e.preventDefault();
    var $that = $(this),
        formData = new FormData($that.get(0));
    $.ajax({
      url: $that.attr('action'),
      type: $that.attr('method'),
      contentType: false,
      processData: false,
      data: formData,
      success: function(response){
        if(response){
 			Page.Go($that.attr('action'));
       }
     }
    });
  });
});

</script>
<?

	echo '<div class="title">'.lang('Удаление диалога','Видалення діалогу').'</div>
	<div class="block">
	'.lang('Вы действительно хотите удалить всю переписку с данным пользователем?<br/>Отменить это дейсвие будет невозможно.','Ви дійсно хочете видалити все листування з даним користувачем?<br/>Скасувати цю дію буде неможливо.').'
	</div><div class="block">
	<form id="form" method="post" action="'.URL.'/mail/">
	<input type="hidden" name="del" value="'.$id.'"/>
	<input id="bg_orange" class="button2" type="submit" name="del_dialog" value="'.lang('Удалить','Видалити').'"/>
	<a class="button2" href="'.URL.'/mail/?id='.$id.'" onclick="Page.Go(this.href); return false">Назад</a>
	</form>
	</div>';

require_once '../incfiles/foot.php';

} else go(URL);



?>